Zum Inhalt springen
Deutsch
Esc
↑↓navigate↵open⌘Jpreview

Get a PV plan with its full planner document

Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.

GET/v1/pv-plans/{id}
Authorization
AuthorizationBearer token · headerrequired
Workspace API key (`bh_…`).
Path parameters
idstringrequired
min length 1
Responses
200OK
idstringrequired
projectIdstringrequired
namestringrequired
buildingIdstring | anyrequired
Show properties
Any of:
string
string
any
any
originLatnumberrequired
originLngnumberrequired
originAddressstring | anyrequired
Show properties
Any of:
string
string
any
any
isFavoritebooleanrequired
summaryobject | anyrequired
Show properties
Any of:
object
object
any
any
createdAtstring<date-time>required
updatedAtstring<date-time>required
schemaVersionintegerrequired
min -9007199254740991 · max 9007199254740991
payloadobjectrequired
Request
curl -X GET "https://app.bauhow.com/api/v1/pv-plans/string" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "id": "string",
  "projectId": "string",
  "name": "string",
  "buildingId": "string",
  "originLat": 0,
  "originLng": 0,
  "originAddress": "string",
  "isFavorite": true,
  "summary": {},
  "createdAt": "2024-01-01T00:00:00Z",
  "updatedAt": "2024-01-01T00:00:00Z",
  "schemaVersion": 0,
  "payload": {}
}